import 'package:flutter/material.dart';

import 'package:pweb/config/constants.dart';
import 'package:pweb/widgets/hspacer.dart';
import 'package:pweb/widgets/logo.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class LoginHeader extends StatelessWidget {
  const LoginHeader({super.key});

  @override
  Widget build(BuildContext context) => Row(
    children: [
      const ServiceLogo(size: 36),
      const HSpacer(multiplier: 0.75),
      Text(
        '${AppConfig.appName} ${AppLocalizations.of(context)!.login}',
        style: Theme.of(context).textTheme.titleLarge,
        textAlign: TextAlign.center,
      ),
    ],
  );
}
